#include <stdint.h>
#include <stdbool.h>

/* bitmap codé bit à bit
   0 dans layout -> transparent
   1 dans layout -> 1 dans color -> noir
   					0 dans color -> blanc */

struct bitmap_rich_8
{
	uint32_t size_x,
	uint32_t size_y,

	uint8_t * color;
	uint8_t * layout;
};

struct bitmap_rich_16
{
	uint32_t size_x,
	uint32_t size_y,

	uint16_t * color;
	uint16_t * layout;
};

struct bitmap_rich_32
{
	uint32_t size_x,
	uint32_t size_y,

	uint32_t * color;
	uint32_t * layout;
};


/* bitmap_get_color_<type>(int x, int y)
   returns a color coded in 2 bytes
   byte 7 -> layout (visible, invisible)
   byte 6 -> color (N || B) */

uint8_t bitmap_get_color_8(int x, int y);
uint8_t bitmap_get_color_16(int x, int y);
uint8_t bitmap_get_color_32(int x, int y);